Subject: Re: bug#18438: 24.4.50; assertion failed in bidi.c

From: Ken Brown <[email-masked]>
Date: Wed, 10 Sep 2014 09:14:04 -0400

On 9/9/2014 5:41 PM, [email-masked] wrote:
> With no apparent pattern, I am getting an "assertion failed" (which, of
> course terminates Emacs):
> src/bidi.c:329: Emacs fatal error: assertion failed: UNKNOWN_BT <= type
> && type <= NEUTRAL_ON
>
> I am running from git master, commit 567e68d.
>
> In GNU Emacs 24.4.50.1 (x86_64-unknown-cygwin)
>   of 2014-09-09 on AGAULAND-NZCD
> Windowing system distributor `Microsoft Corp.', version 6.1.7601
> Configured using:
>   `configure --enable-checking --with-w32 'CFLAGS=-O0 -ggdb''

This looks like a duplicate of bug#17817, which unfortunately didn't go 
anywhere because I lost the gdb session.  I haven't seen it again since 
then.

Ken